%if 0%{?rhel} > 6
%global run_check 1
%else
# pytest is unavailable in the RHEL 6 Ceph buildroots.
# https://bugzilla.redhat.com/1184638
%global run_check 0
%endif

Name:           ice_setup
Version:        0.2.2
Release:        1%{?dist}
Summary:        Red Hat Ceph Storage setup tool
Group:          System Environment/Base
License:        MIT
URL:            https://github.com/ceph/ice-setup
# Generate this tarball by:
# 1. git clone ice-setup.git
# 2. cd ice-setup
# 3. git checkout <the version you want>
# 4. python setup.py sdist
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
%if 0%{?run_check}
BuildRequires:  pytest
%endif # run_check

%description
A standalone setup script to install and configure different services for Ceph
like Calamari, ceph-deploy and package repositories.

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
%if 0%{?run_check}
rm -r build
%{__python} setup.py test
%endif # run_check

%files
%{_bindir}/%{name}
%{python_sitelib}/*

%changelog
* Mon Feb 23 2015 Ken Dreyer <kdreyer@redhat.com> - 0.2.2-1
- Update to ice_setup version 0.2.2 to fix handling of new ISO layout
  (RHBZ #1193745)

* Thu Feb 05 2015 Ken Dreyer <kdreyer@redhat.com> - 0.2.1-1
- Update to ice_setup version 0.2.1 to fix a bug in repo construction
  (RHBZ #1188872)

* Fri Jan 30 2015 Ken Dreyer <kdreyer@redhat.com> - 0.2.0-1
- Update to ice_setup version 0.2.0 (RHBZ #1179955)
- Use name and version macros in Source0

* Thu Jan 22 2015 Ken Dreyer <kdreyer@redhat.com> - 0.1.1-2
- Update the product name in summary to "Red Hat Ceph Storage"
- Update License (no more Python-licensed code, we're only MIT now)
- Update tarball instructions to include checking out the exact git tag
- Update the URL to point to the repository on GitHub

* Wed Jan 21 2015 Ken Dreyer <kdreyer@redhat.com> - 0.1.1-1
- Update to ice-setup version 0.1.1

* Mon Jan 12 2015 Ken Dreyer <kdreyer@redhat.com> - 0.0.1-0.1.20150112gita81e3da
- Initial package import
